
---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-auth
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-auth
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-auth
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-auth
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-auth
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-auth
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-auth:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-auth
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-auth/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-biz
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-biz
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-biz
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-biz
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-biz
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-biz
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-biz:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-biz
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-biz/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-marketing
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-marketing
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-marketing
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-marketing
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-marketing
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-marketing
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-marketing:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-marketing
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-marketing/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-flow
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-flow
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-flow
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-flow
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-flow
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-flow
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-flow:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-flow
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-flow/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-gateway
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: gateway
    k8s.kuboard.cn/name: mall4cloud-gateway
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-gateway
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-gateway
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-gateway
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-gateway
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-gateway:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-gateway
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-gateway/log
          livenessProbe:
            httpGet:
              path: /actuator/health/liveness
              port: 8000
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /actuator/health/readiness
              port: 8000
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-group
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-group
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-group
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-group
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-group
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-group
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-group:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-group
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-group/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-h5
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-h5
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-h5
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-h5
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-13T11:58:12+08:00'
    spec:
      containers:
        - name: mall4cloud-h5
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-h5:0'
          resources: {}
          livenessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-im
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-im
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-im
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-im
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-im
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-im
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-im:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-im
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-im/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-multishop-vue
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-multishop-vue
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-multishop-vue
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-multishop-vue
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-13T11:58:12+08:00'
    spec:
      containers:
        - name: mall4cloud-multishop-vue
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-multishop-vue:0'
          resources: {}
          livenessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-order
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-order
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-order
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-order
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-order
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-order
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-order:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-order
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-order/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-payment
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-payment
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-payment
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-payment
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-payment
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-payment
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-payment:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-payment
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-payment/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-pc
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-pc
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-pc
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-pc
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-13T11:58:12+08:00'
    spec:
      containers:
        - name: mall4cloud-pc
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-pc:0'
          env:
            - name: TZ
              value: Asia/Shanghai
          resources: {}
          livenessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-admin
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-admin
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-admin
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-admin
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-admin
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-admin
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-admin:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-admin
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-admin/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-platform-vue
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-platform-vue
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-platform-vue
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-platform-vue
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-13T11:58:12+08:00'
    spec:
      containers:
        - name: mall4cloud-platform-vue
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-platform-vue:0'
          resources: {}
          livenessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-product
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-product
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-product
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-product
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-product
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-product
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-product:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-product
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-product/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-search
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-search
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-search
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-search
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-search
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-search
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-search:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-search
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-search/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-seckill
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-seckill
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-seckill
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-seckill
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-seckill
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-seckill
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-seckill:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-seckill
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-seckill/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-supplier-vue
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-supplier-vue
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-supplier-vue
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-supplier-vue
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-13T11:58:12+08:00'
    spec:
      containers:
        - name: mall4cloud-supplier-vue
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-supplier-vue:0'
          resources: {}
          livenessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /
              port: 80
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 1
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: mall4cloud-user
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-user
  annotations: {}
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: mall4cloud-user
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: mall4cloud-user
      annotations:
        kubectl.kubernetes.io/restartedAt: '2022-10-12T16:47:44+08:00'
    spec:
      volumes:
        - name: mall4cloud-user
          nfs:
            server: 192.168.1.28
            path: /nfs/data/mall4cloud-release/
      containers:
        - name: mall4cloud-user
          image: '192.168.1.11:80/mall4cloud-release/mall4cloud-user:0'
          env:
            - name: TZ
              value: Asia/Shanghai
            - name: NACOS_HOST
              value: 10.1.107.162
            - name: NACOS_PORT
              value: '8848'
            - name: NACOS_NAMESPACE
              value: mall4cloud-release
          resources: {}
          volumeMounts:
            - name: mall4cloud-user
              mountPath: /opt/projects/mall4cloud/log
              subPath: ./mall4cloud-user/log
          livenessProbe:
            httpGet:
              path: /live
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          readinessProbe:
            httpGet:
              path: /ready
              port: 22222
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 1
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 3
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: Default
      securityContext: {}
      imagePullSecrets:
        - name: harbor
      schedulerName: default-scheduler
      dnsConfig: {}
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-auth
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-auth
spec:
  ports:
    - protocol: TCP
      port: 9101
      targetPort: 9101
  selector:
    k8s.kuboard.cn/name: mall4cloud-auth
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-biz
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-biz
spec:
  ports:
    - protocol: TCP
      port: 9118
      targetPort: 9118
  selector:
    k8s.kuboard.cn/name: mall4cloud-biz
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-marketing
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-marketing
spec:
  ports:
    - protocol: TCP
      port: 9109
      targetPort: 9109
  selector:
    k8s.kuboard.cn/name: mall4cloud-marketing
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-flow
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-flow
spec:
  ports:
    - protocol: TCP
      port: 9116
      targetPort: 9116
  selector:
    k8s.kuboard.cn/name: mall4cloud-flow
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-gateway
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: gateway
    k8s.kuboard.cn/name: mall4cloud-gateway
spec:
  ports:
    - protocol: TCP
      port: 8000
      targetPort: 8000
  selector:
    k8s.kuboard.cn/name: mall4cloud-gateway
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-group
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-group
spec:
  ports:
    - protocol: TCP
      port: 9114
      targetPort: 9114
  selector:
    k8s.kuboard.cn/name: mall4cloud-group
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-h5
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-h5
spec:
  ports:
    - name: gp3zqc
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    k8s.kuboard.cn/name: mall4cloud-h5
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-im
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-im
spec:
  ports:
    - protocol: TCP
      port: 9120
      targetPort: 9120
  selector:
    k8s.kuboard.cn/name: mall4cloud-im
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-order
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-order
spec:
  ports:
    - protocol: TCP
      port: 9106
      targetPort: 9106
  selector:
    k8s.kuboard.cn/name: mall4cloud-order
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-payment
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-payment
spec:
  ports:
    - protocol: TCP
      port: 9113
      targetPort: 9113
  selector:
    k8s.kuboard.cn/name: mall4cloud-payment
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-pc
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-pc
spec:
  ports:
    - name: gp3zqc
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    k8s.kuboard.cn/name: mall4cloud-pc
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-admin
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-admin
spec:
  ports:
    - protocol: TCP
      port: 9112
      targetPort: 9112
  selector:
    k8s.kuboard.cn/name: mall4cloud-admin
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-platform-vue
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-platform-vue
spec:
  ports:
    - name: gp3zqc
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    k8s.kuboard.cn/name: mall4cloud-platform-vue
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-product
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-product
spec:
  ports:
    - protocol: TCP
      port: 9104
      targetPort: 9104
  selector:
    k8s.kuboard.cn/name: mall4cloud-product
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-search
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-search
spec:
  ports:
    - protocol: TCP
      port: 9108
      targetPort: 9108
  selector:
    k8s.kuboard.cn/name: mall4cloud-search
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-seckill
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-seckill
spec:
  ports:
    - protocol: TCP
      port: 9115
      targetPort: 9115
  selector:
    k8s.kuboard.cn/name: mall4cloud-seckill
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-supplier-vue
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/layer: web
    k8s.kuboard.cn/name: mall4cloud-supplier-vue
spec:
  ports:
    - name: gp3zqc
      protocol: TCP
      port: 80
      targetPort: 80
  selector:
    k8s.kuboard.cn/name: mall4cloud-supplier-vue
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster

---
kind: Service
apiVersion: v1
metadata:
  name: mall4cloud-user
  namespace: mall4cloud-release
  labels:
    k8s.kuboard.cn/name: mall4cloud-user
spec:
  ports:
    - protocol: TCP
      port: 9105
      targetPort: 9105
  selector:
    k8s.kuboard.cn/name: mall4cloud-user
  type: ClusterIP
  sessionAffinity: None
  ipFamilies:
    - IPv4
  ipFamilyPolicy: SingleStack
  internalTrafficPolicy: Cluster


